import { select } from 'd3';

const svg = select('svg');



const height = parseFloat(svg.attr('height'));

const width = +svg.attr('width');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
  .attr('r', height / 2)
  .attr('fill','yellow')
  .attr('stroke', 'black');

const eyeSpacing = 100;
const eyeOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYoffset = -70;

const eyesG = g.append('g').attr('transform', `translate(0, ${eyeOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', - eyeSpacing)
  .attr('cy',  eyeOffset);


const rightEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing)
  .attr('cy', eyeOffset);

const leftEyebrow = eyesG.append('rect')
  .attr('x', -eyeSpacing - eyebrowWidth / 2)
  .attr('y', -120)
  .attr('width', eyebrowWidth)
  .attr('height', eyebrowHeight)
 .transition().duration(2000)
	.attr('y', eyebrowYoffset - 30)
 .transition().duration(2000)
    .attr('y', eyebrowYoffset - 70);

const rightEyebrow = eyesG
 .append('rect')
  .attr('x', eyeSpacing - eyebrowWidth / 2)
  .attr('y', -120)
  .attr('width', eyebrowWidth)
  .attr('height', eyebrowHeight)
 .transition().duration(2000)
	.attr('y', eyebrowYoffset - 30)
 .transition().duration(2000)
    .attr('y', eyebrowYoffset - 70);


const mouth = g.append('path')
  .attr('d', d3.arc()({
    innerRadius: 150,
    outerRadius: 170,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 3 / 2
  }));